#include "functions.h"

pip_addr CreateIP(void) {
    pip_addr pip = NULL;
    if ((pip = (pip_addr)malloc(sizeof(ip_addr))) == NULL)
        exit(1);
    else
        pip->next = NULL;

    return pip;
}

void ShowIP(pip_addr pip) {
    for (; pip != NULL; pip = pip->next)
        printf("%s\n", pip->address);
}

int compare(const void *a, const void *b) {
    if(*(float *)a < *(float *)b)
        return(-1);
    else if(*(float *)a > *(float *)b)
        return(1);
    else
        return(0);
}

float median(float *array) {
    int N = sizeof(array);
    float median;

    qsort(array, N, sizeof(array[0]), compare);

    if (N % 2 == 0)
        median = (array[N/2] + array[N/2 - 1]) / 2;
    else
        median = array[N/2];

    return median;
}

char *remove_nl(char *str) {
    char *p;

    if ((p = strchr(str, '\n')) != NULL)
        *p = '\0';

    return str;
}
