#include "ping.h"
#include "functions.h"

void *ping_task(void *ptr) {
    pip_addr pip = NULL;
    FILE *pf;
    char *line;
    char *cmd;
    float *array;
    int i,j;
    int success;

    pip = ptr;
    line = (char *)malloc(sizeof(char)*BUFFER_SIZE);
    cmd = (char *)malloc(sizeof(char)*BUFFER_SIZE);
    array = (float *)malloc(sizeof(float)*pip->measures);

    for ( j = 0; j < 20; j++) {
        for ( i = 0, success = 1; i < pip->measures; i++) {
            sprintf(cmd, "ping -s %d -c 1 %s | grep rtt | awk -F '/' '{print $5}'", (10 + j*pip->size_step), pip->address);

            if ((pf = popen(cmd, "r")) == NULL) {
                perror("popen");
                exit(1);
            }

            if (fgets(line, BUFFER_SIZE, pf) != NULL) {
                pclose(pf);
                line = remove_nl(line);
                array[i] = atof(line);
            }
            else {
                pclose(pf);
                printf("Salto: #%d , Packet size: %d , Tiempo rtt hasta %s: Inalcanzable\n", pip->hop, (10 + j*pip->size_step), pip->address);
                pip->measures_success = 0;
                success = 0;
                break;
            }
        }

        if (success) {
            pip->rtt[j] = median(array);
            pip->measures_success = 1;
        }
        else
            break;

        usleep(500000);
    }

    free(line);
    free(cmd);
    free(array);

    pthread_exit(NULL);
}
